Send template
Send template to a client
POST
/
proposals
/
templates
/
send
Send template
curl --request POST \
--url https://services.leadconnectorhq.com/proposals/templates/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"templateId": "hTlkh7t8gujsahgg93",
"userId": "hTlkh7t8gujsahgg93",
"locationId": "hTlkh7t8gujsahgg93",
"contactId": "hTlkh7t8gujsahgg93",
"sendDocument": true,
"opportunityId": "hTlkh7t8gujsahgg93"
}
'const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
Version: '<version>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
templateId: 'hTlkh7t8gujsahgg93',
userId: 'hTlkh7t8gujsahgg93',
locationId: 'hTlkh7t8gujsahgg93',
contactId: 'hTlkh7t8gujsahgg93',
sendDocument: true,
opportunityId: 'hTlkh7t8gujsahgg93'
})
};
fetch('https://services.leadconnectorhq.com/proposals/templates/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/proposals/templates/send"
payload = {
"templateId": "hTlkh7t8gujsahgg93",
"userId": "hTlkh7t8gujsahgg93",
"locationId": "hTlkh7t8gujsahgg93",
"contactId": "hTlkh7t8gujsahgg93",
"sendDocument": True,
"opportunityId": "hTlkh7t8gujsahgg93"
}
headers = {
"Authorization": "Bearer <token>",
"Version": "<version>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"links": [
{
"referenceId": "550e8400-e29b-41d4-a716-446655440000",
"documentId": "c1e87a91-93b2-4b78-821f-85cf0e1f925b",
"recipientId": "u240JcS0E5qE0ziHnwMm",
"entityName": "contacts",
"recipientCategory": "recipient",
"documentRevision": 1,
"createdBy": "b6d8fa28-1112-4dc7-b9d2-f22b75a477ea",
"deleted": false
}
]
}{
"statusCode": 400,
"message": "Bad Request"
}Authorizations
bearerbearer
Access Token or Private Integration Token
Headers
Access Token
Example:
"Bearer 9c48df2694a849b6089f9d0d3513efe"
API Version
Available options:
2021-07-28 Body
application/json
Template Id
Example:
"hTlkh7t8gujsahgg93"
User Id
Example:
"hTlkh7t8gujsahgg93"
Location Id
Example:
"hTlkh7t8gujsahgg93"
Contact Id
Example:
"hTlkh7t8gujsahgg93"
Send Document
Example:
true
Opportunity Id
Example:
"hTlkh7t8gujsahgg93"
Last modified on March 7, 2026
Was this page helpful?
Send template
curl --request POST \
--url https://services.leadconnectorhq.com/proposals/templates/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"templateId": "hTlkh7t8gujsahgg93",
"userId": "hTlkh7t8gujsahgg93",
"locationId": "hTlkh7t8gujsahgg93",
"contactId": "hTlkh7t8gujsahgg93",
"sendDocument": true,
"opportunityId": "hTlkh7t8gujsahgg93"
}
'const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
Version: '<version>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
templateId: 'hTlkh7t8gujsahgg93',
userId: 'hTlkh7t8gujsahgg93',
locationId: 'hTlkh7t8gujsahgg93',
contactId: 'hTlkh7t8gujsahgg93',
sendDocument: true,
opportunityId: 'hTlkh7t8gujsahgg93'
})
};
fetch('https://services.leadconnectorhq.com/proposals/templates/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/proposals/templates/send"
payload = {
"templateId": "hTlkh7t8gujsahgg93",
"userId": "hTlkh7t8gujsahgg93",
"locationId": "hTlkh7t8gujsahgg93",
"contactId": "hTlkh7t8gujsahgg93",
"sendDocument": True,
"opportunityId": "hTlkh7t8gujsahgg93"
}
headers = {
"Authorization": "Bearer <token>",
"Version": "<version>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"links": [
{
"referenceId": "550e8400-e29b-41d4-a716-446655440000",
"documentId": "c1e87a91-93b2-4b78-821f-85cf0e1f925b",
"recipientId": "u240JcS0E5qE0ziHnwMm",
"entityName": "contacts",
"recipientCategory": "recipient",
"documentRevision": 1,
"createdBy": "b6d8fa28-1112-4dc7-b9d2-f22b75a477ea",
"deleted": false
}
]
}{
"statusCode": 400,
"message": "Bad Request"
}